Package org.eclipse.emf.spi.cdo

# Interface CDOPermissionUpdater3

All Superinterfaces:
  `CDOPermissionUpdater`

public interface CDOPermissionUpdater3 extends CDOPermissionUpdater
A `permission updater` that takes the `security context` into account.

Since:
  4.22
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOPermissionUpdater3`
`SERVER`

## Method Summary

Modifier and Type
Method
Description
`Map<CDORevision,CDOPermission>`
`updatePermissions(InternalCDOSession session, Map<CDOBranchPoint,Set<InternalCDORevision>> revisions, CDOCommitInfo commitInfo)`
`default Map<CDORevision,CDOPermission>`
`updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions)`
Deprecated.
As of 4.22 use `updatePermissions(InternalCDOSession, Map, CDOCommitInfo)`.

## Field Details

### SERVER

static final CDOPermissionUpdater3 SERVER

## Method Details

### updatePermissions

@Deprecated default Map<CDORevision,CDOPermission> updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions)
Deprecated.
As of 4.22 use `updatePermissions(InternalCDOSession, Map, CDOCommitInfo)`.

Specified by:
  `updatePermissions` in interface `CDOPermissionUpdater`

### updatePermissions

Map<CDORevision,CDOPermission> updatePermissions(InternalCDOSession session, Map<CDOBranchPoint,Set<InternalCDORevision>> revisions, CDOCommitInfo commitInfo)